.single-property {
    background-color: $white;
    padding: 3em 4em;

    &__price {
        color: $white;
        padding: 0.5em 0.75em;
        font-size: 1.25rem;
        background-color: $eastern-blue;
        display: inline-flex;
    }

    &__location {
        @extend .h2;
        margin: 0 0 0.5em 0;
        color: $biscay;
    }

    &__description {
        color: $biscay;
        margin: 0 0 0.5em 0;
    }

    &__additional-information {

        &--tablet {
            display: none;

            @media (max-width: $lg) {
                display: block;
            }
        }

        @media (max-width: $lg) {
            display: none;
        }
    }

    &__slider {
        position: relative;
        overflow: hidden;
    }

    &__slides {
        overflow: hidden;
    }

    &__image {
        display: flex;
        padding: 15em 0;
        background-size: contain;
        background-color: $alabaster;
        background-position: center center;
        background-repeat: no-repeat;

        @media (max-width: $md) {
            padding: 8em 0;
        }
    }
    
    .grid {
        flex-wrap: nowrap;

        &__col-1 {
            width: 33%;
            padding: 0 0.5em;
            order: 2;

            &--sticky {
                position: sticky;
                height: 100%;
                top: 100px;
            }

            @media (max-width: $lg) {
                position: unset;
                order: 1;
                width: auto;
            }
        }

        &__col-2 {
            order: 1;
            padding: 0 0.5em;
            width: 65%;
            padding-left: 0;

            @media (max-width: $lg) {
                order: 2;
                padding: 0;
                width: auto;
            }
        }

        @media (max-width: $lg) {
            flex-direction: column;
        }
    }

    &__sidenav {
        padding: 2em;
        margin-bottom: 1em;
        background-color: $gallery;

        @media (max-width: $lg) {
            padding: 0;
            margin: 1em 0;
            background-color: $white;
        }
    }

    .tabs {
        display: flex;
        border: 1px solid $biscay;
        margin: 1.5em 0;

        &__link {
            width: 100%;
            padding: 0.75em;
            justify-content: center;
            text-transform: uppercase;
            background-color: transparent;
            color: $biscay;

            &.current {
                color: $white;
                background-color: $biscay;
                border-color: $biscay;
            }

            @media (max-width: $md) {
                width: auto;
            }
        }
    }

    .tab {
        &__content {
            background-color: $white;
            padding: 0;
        }
    }

    @media (max-width: $lg) {
        padding: 3em 1em;
    }
}